{% extends "base.html" %}
{% block content %}
<div class="container">
	{% csrf_token %}
  <script>
      function getCookie(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie !== '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = cookies[i].trim();
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) === (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
 
  </script>
	<div class="row">
		<div class="col-md-offset-2 col-md-8 col-lg-offset-3 col-lg-6">
    	 <div class="well profile">
              
               
              <h2> {{user.username}} </h2>

              {% if user.profile.profile_type == 1 %}
              <p><strong>Twitter account: </strong>{{user.profile.twitter_account}}</p>
              <p><strong>Twitter account age: </strong>{{user.profile.getTwitterAge}} months</p>
              <p><strong>Twitter account last check date: </strong>{{user.profile.twitter_last_parse_date}}</p>
              <p><strong>Twitter followers: </strong>{{user.profile.twitter_followers}}</p>
              <p><strong>Twitter multiplier: </strong>{{user.profile.getCleanMultiplier}}</p>
              <p><strong>ETH wallet: </strong>{{user.profile.eth_wallet}}</p>

              <h3>Twitter last 3 months posts statistics:</h3>
              <p><strong>Posts: </strong>{{user.profile.twitter_total_posts}}</p>
              <p><strong>Likes: </strong>{{user.profile.twitter_total_likes}}</p>
              <p><strong>Replies: </strong>{{user.profile.twitter_total_comments}}</p>
              <p><strong>Average likes and comments per post: </strong>{{user.profile.getTwitterSumOfRepliesAndLikes}}</p>

              <a href="{% url 'update_profile' %}" class="btn btn-primary">Update profile</a>


              
              
              {% endif %}
       </div>
						

    	 </div>
		</div>
	</div>
</div>

{% endblock %}
